<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Teachinder</title>
        <meta name="description" content="A brief description of your page">
        <meta name="keywords" content="keywords, related, to, your, content">
        <link rel="stylesheet" href="styles.css">
        <script src="script.js" defer></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:400,400i,700&display=swap">
    </head>
    <body>
        <header class="header">
            <div class="top__bar">
                <h1 class="logo">Teachinder</h1>
                <div class="search_bar">
                    <input type="text" placeholder="Name, note or age to search" class="search_input">
                    <button type="submit" class="search_button">Search</button>
                </div>
            </div>
            <div class="menu__section">
                <nav>
                    <ul class="menu">
                        <li><a href="#teachers">Teachers</a></li>
                        <li><a href="#statistics">Statistics</a></li>
                        <li><a href="#favorites">Favorites</a></li>
                        <li><a href="#about">About</a></li>
                    </ul>
                </nav>
                <div class="box">
                    <a class="add_teacher" href="#divOne">Add teacher</a>
                </div>
            </div>
        </header>
        <section class="top__teachers" id="teachers">
            <div class="horizontal_line"></div>
            <div class="section__heading">
                <h2>Top Teachers</h2>
            </div>
            <div class="teachers_filters">
                <div class="age_dropdown">
                    <label for="age">Age</label>
                    <select id="age" name="age">
                        <option value="18-25">18-31</option>
                        <option value="36-45">32-45</option>
                        <option value="46-55">46-55</option>
                        <option value="56-65">56-65</option>
                        <option value="66-70">66-70</option>
                    </select>
                </div>
                <div class="region_dropdown">
                    <label for="region">Region</label>
                    <select id="region" name="region">
                        <option value="Europe">Europe</option>
                        <option value="Asia">Asia</option>
                        <option value="America">America</option>
                        <option value="Africa">Africa</option>
                        <option value="Australia">Australia</option>
                    </select>
                </div>
                <div class="sex_dropdown">
                    <label for="sex">Region</label>
                    <select id="sex" name="sex">
                        <option value="male">Male</option>
                        <option value="female">Female</option>
                    </select>
                </div>
                <div class="checkbox checkbox--with-photo">
                    <input type="checkbox" id="photoCheckbox" name="photoCheckbox">
                    <label for="photoCheckbox">Only with photo</label>
                </div>
                <div class="checkbox">
                    <input type="checkbox" id="photoCheckbox" name="photoCheckbox">
                    <label for="photoCheckbox">Only favorites</label>
                </div>
            </div>
            <div class="teachers">
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="container_with_star">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <div class="indicator_star">&#9733;</div>
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
                <div class="teacher">
                    <div class="box">
                        <a class="button" href="#teacher">
                            <div class="image-container">
                                <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                            </div>
                            <h3 class="teacher_name">Ihor</h3>
                            <h3 class="teacher_surname">Tkachuk</h3>
                            <p class="science">Chemistry</p>
                            <p class="location">Ukraine</p>
                        </a>
                    </div>
                </div>
            </div>  
        </section>
        <section class="statistics" id="statistics">
            <div class="horizontal_line"></div>
            <div class="section__heading">
                <h2>Statictics</h2>
            </div>
            <div class="table_container">
                <table class="statictics_table">
                    <tr>
                        <th>Name</th>
                        <th>Speciality</th>
                        <th>Age</th>
                        <th>Gender</th>
                        <th>Nationality</th>
                    </tr>
                    <tr>
                        <td>Daisy Alexander</td>
                        <td>Chemistry</td>
                        <td>28</td>
                        <td>Female</td>
                        <td>Vietnam</td>
                    </tr>
                    <tr>
                        <td>Julia Bradley</td>
                        <td>Math</td>
                        <td>26</td>
                        <td>Female</td>
                        <td>USA</td>
                    </tr>
                    <tr>
                        <td>Rita Hart</td>
                        <td>Art</td>
                        <td>41</td>
                        <td>Female</td>
                        <td>Ireland</td>
                    </tr>
                    <tr>
                        <td>Jonathan Jacobs</td>
                        <td>Math</td>
                        <td>32</td>
                        <td>Male</td>
                        <td>England</td>
                    </tr>
                    <tr>
                        <td>Nathaniel White</td>
                        <td>Computer Science</td>
                        <td>37</td>
                        <td>Male</td>
                        <td>Austria</td>
                    </tr>
                    <tr>
                        <td>Frank Medina</td>
                        <td>English</td>
                        <td>43</td>
                        <td>Male</td>
                        <td>Italy</td>
                    </tr>
                    <tr>
                        <td>Ella Curtis</td>
                        <td>Chess</td>
                        <td>34</td>
                        <td>Female</td>
                        <td>USA</td>
                    </tr>
                    <tr>
                        <td>Claire Simmmons</td>
                        <td>Art</td>
                        <td>38</td>
                        <td>Female</td>
                        <td>Netherlands</td>
                    </tr>
                    <tr>
                        <td>Benjamin Knight</td>
                        <td>Biology</td>
                        <td>44</td>
                        <td>Male</td>
                        <td>Scotland</td>
                    </tr>
                    <tr>
                        <td>Norma Rose</td>
                        <td>Statistics</td>
                        <td>36</td>
                        <td>Female</td>
                        <td>France</td>
                    </tr>
                </table>
            </div>
            <div class="pagination">
                <p>1  2  3  ...  Last</p>
            </div>
        </section>
        <section class="favorites" id="favorites">
            <div class="horizontal_line"></div>
            <div class="section__heading">
                <h2>Favorites</h2>
            </div>
            <div class="carousel-container">
                <div class="forward-button" id="moveRight">
                    <svg xmlns="http://www.w3.org/2000/svg" width="80" height="80" fill="gray" class="bi bi-chevron-compact-right" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M6.776 1.553a.5.5 0 0 1 .671.223l3 6a.5.5 0 0 1 0 .448l-3 6a.5.5 0 1 1-.894-.448L9.44 8 6.553 2.224a.5.5 0 0 1 .223-.671z"/>
                      </svg>
                </div>
                <div class="favorite__teachers" id="favorite__teachers">
                    <div class="teacher">
                        <div class="box">
                            <a class="button" href="#teacher">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <h3 class="teacher_name">Ihor</h3>
                                <h3 class="teacher_surname">Tkachuk</h3>
                                <p class="location">Ukraine</p>
                            </a>
                        </div>
                    </div>
                    <div class="teacher">
                        <div class="box">
                            <a class="button" href="#teacher">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <h3 class="teacher_name">Ihor</h3>
                                <h3 class="teacher_surname">Tkachuk</h3>
                                <p class="location">Ukraine</p>
                            </a>
                        </div>
                    </div>
                    <div class="teacher">
                        <div class="box">
                            <a class="button" href="#teacher">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <h3 class="teacher_name">Ihor</h3>
                                <h3 class="teacher_surname">Tkachuk</h3>
                                <p class="location">Ukraine</p>
                            </a>
                        </div>
                    </div>
                    <div class="teacher">
                        <div class="box">
                            <a class="button" href="#teacher">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <h3 class="teacher_name">Ihor</h3>
                                <h3 class="teacher_surname">Tkachuk</h3>
                                <p class="location">Ukraine</p>
                            </a>
                        </div>
                    </div>
                    <div class="teacher">
                        <div class="box">
                            <a class="button" href="#teacher">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <h3 class="teacher_name">Ihor</h3>
                                <h3 class="teacher_surname">Tkachuk</h3>
                                <p class="location">Ukraine</p>
                            </a>
                        </div>
                    </div>
                    <div class="teacher">
                        <div class="box">
                            <a class="button" href="#teacher">
                                <div class="image-container">
                                    <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                                </div>
                                <h3 class="teacher_name">Ihor</h3>
                                <h3 class="teacher_surname">Tkachuk</h3>
                                <p class="location">Ukraine</p>
                            </a>
                        </div>
                    </div>                    
                </div>
                <div class="back-button" id="moveLeft">
                    <svg xmlns="http://www.w3.org/2000/svg" width="80" height="80" fill="grey" class="bi bi-chevron-compact-left" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M9.224 1.553a.5.5 0 0 1 .223.67L6.56 8l2.888 5.776a.5.5 0 1 1-.894.448l-3-6a.5.5 0 0 1 0-.448l3-6a.5.5 0 0 1 .67-.223z"/>
                  </svg>
                </div>
            </div>
        </section>
        <section class="footer" id="about">
            <div class="horizontal_line"></div>
            <p class="footer__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A atque facere, hic impedit itaque molestiae sit tempore? Ea in mollitia natus rerum voluptates. Ea ex excepturi facere tempora. Aliquid asperiores hic impedit iusto natus quaerat ratione sit? Culpa iusto optio voluptas voluptate. Enim eveniet fugit iure maiores molestiae, praesentium quia.</p>
            <p class="footer__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquam eligendi illum in inventore ipsum odio officiis omnis quisquam sed tempora?</p>
            <p class="footer__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A atque esse expedita id iusto mollitia, odit sint ullam veritatis vero?</p>
            <div class="menu__section">
                <nav>
                    <ul class="menu">
                        <li><a href="#teachers">Teachers</a></li>
                        <li><a href="#statistics">Statistics</a></li>
                        <li><a href="#favorites">Favorites</a></li>
                        <li><a href="#about">About</a></li>
                    </ul>
                </nav>
                <div class="box">
                    <a class="add_teacher" href="#divOne">Add teacher</a>
                </div>
            </div>
        </section>


        
        <div id="divOne" class="overlay">
            <div class="wrapper">
                <div class="top__login">
                    <h2>Add Teacher</h2>
                    <a class="close" href="#">&times;</a>
                </div>
                <div class="add_form">
                    <form>
                        <div class="input_name">
                            <p>Name</p>
                            <input type="text" placeholder="Enter name"  required>
                        </div>
                        <div class="input_speciality">
                            <p>Speciality</p>
                            <select class="speciality-select" required>
                                <option value="">Select Speciality</option>
                                <option value="math">Math</option>
                                <option value="chemistry">Chemistry</option>
                            </select>
                        </div>
            
                        <div class="location_input">
                            <div>
                                <p>Country</p>
                                <select class="country-select" required>
                                    <option value="">Select Country</option>
                                    <option value="usa">USA</option>
                                    <option value="uk">UK</option>
                                </select>
                            </div>
                            <div>
                                <p>City</p>
                                <input type="text" placeholder="City" required>
                            </div>
                        </div>
                        <div class="contact_input">
                            <div class="contact_email">
                                <p>Email</p>
                                <input type="email" placeholder="Email" required>
                            </div>
                            <div>
                                <p>Phone</p>
                                <input type="tel" placeholder="Phone" required>
                            </div>
                        </div>
                        <div>
                            <p>Date of birth</p>
                            <input type="date" class="datepicker" required>
                        </div>
                        <div class="sex_input">
                            <p>Sex</p>
                            <label for="male">Male</label>
                            <input type="radio" id="male" name="gender" value="male">
                            <label for="female">Female</label>
                            <input type="radio" id="female" name="gender" value="female">
                        </div>
                        
                        <div class="input_bgcolor">
                            <p>Background color</p>
                            <input type="color" id="bgColor" name="bgColor" value="black">
                        </div>
                        <div>
                            <p>Notes (optionel)</p>
                            <textarea rows="4" placeholder="Notes" class="notes"></textarea>
                        </div>
                        
                        <div>
                            <button type="submit" class="add_teacher login-button">Add</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="overlay" id="teacher">
            <div class="wrapper info">
                <div class="top__login">
                    <h2>Teacher Info</h2>
                    <a class="close" href="#">&times;</a>
                </div>
                <div class="add_form">
                  <div class="container">
                    <div class="main_info">
                      <img class="teacher_photo" src="TeacherPhotos\Ihor.png">
                      <div class="teacher-info">
                          <h2>Ihor Tkachuk</h2>
                          <h3>Chemistry</h3>
                          <p>Kyiv, Ukraine</p>
                          <p>35,Male</p>
                          <a href="ihor_tkachuk@domain.com">ihor_tkachuk@domain.com</a>
                          <p>+380964993252</p>
                      </div>
                      <div class="star">
                          &#9733;
                      </div>
                    </div>
                    <div class="bio">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ab autem consectetur culpa cumque, distinctio dolor dolore dolorem doloremque ea explicabo facilis nam nesciunt nisi pariatur perspiciatis porro quis similique temporibus veniam veritatis? A ab ad, aliquam amet consequatur cupiditate debitis deserunt doloribus dolorum earum eius eos minus nostrum odit omnis perferendis...</p>
                    </div>
                    <a href="#">toggle map</a>
                </div>
              </div>
            </div>
        </div>
    </body>
</html>